<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:urn="urn:openaccess">
   <soapenv:Header>
      <urn:ResponseLimitationHeader>
         <!--Optional:-->
         <urn:range>
            <urn:from>1</urn:from>
            <urn:to>100</urn:to>
         </urn:range>
         <!--Optional:-->
         <urn:resultSize>100</urn:resultSize>
      </urn:ResponseLimitationHeader>
      <urn:SessionToken>
         <urn:userLoginName>PART1U01API</urn:userLoginName>
         <urn:sessionKey>52625065034356761808202785647727185522215326537420518380646554309054560263663156</urn:sessionKey>
      </urn:SessionToken>
      <urn:AsynchronousResponseHeader>
         <urn:asynchronousResponse>1</urn:asynchronousResponse>
         <!--Optional:-->
         <urn:responseToken>1</urn:responseToken>
      </urn:AsynchronousResponseHeader>
   </soapenv:Header>
   <soapenv:Body>
      <urn:RetrieveMarketResultsFor>
         <MarketResultIdentifier>
            <!--You have a CHOICE of the next 2 items at this level-->
            <!--1 or more repetitions:-->
            <urn:area>NI-SONI-DA</urn:area>
            <!--1 or more repetitions:-->
            <!--urn:areaNames>?</urn:areaNames-->
            <!--You have a CHOICE of the next 3 items at this level-->
            <!--urn:deliveryDay>?</urn:deliveryDay-->
            <!--urn:applyingDate>?</urn:applyingDate-->
            <urn:auctionIdentification>
               <!--You have a CHOICE of the next 2 items at this level-->
               <!--urn:UTCDateTime>?</urn:UTCDateTime-->
               <urn:AuctionDate>2022-03-22</urn:AuctionDate>
               <!--Optional:-->
               <!--urn:name>?</urn:name-->
               <!--Optional:-->
               <!--urn:duration>?</urn:duration-->
            </urn:auctionIdentification>
         </MarketResultIdentifier>
      </urn:RetrieveMarketResultsFor>
   </soapenv:Body>
</soapenv:Envelope>